.page-header-container {
    width: var(--max-width-full);
    height: 150px;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    padding: 0;
    margin: 0;
}

.page-header {
    height: 150px;
    position: relative;
    background-color: var(--primary-90);
    display: flex;
    justify-content: center;
    align-items: center;

    & ::before {
        content: '';
        position: absolute;
        inset: 0;
        background: url('../../images/template-parts/page-header/page-header-overlay-mobile.png') no-repeat left top / contain;
        pointer-events: none;
    }

    & h1.page-header__title {
        font-size: 1.75rem;
        font-weight: 800;
        color: var(--accent-light);
        text-align: center;
        text-transform: uppercase;
    }
}

/* media queries */
@media (min-width: 768px) {
    .page-header-container {
        height: 200px;
    }

    .page-header {
        height: 200px;
        position: relative;
        display: flex;
        justify-content: center;
        align-items: center;

        & ::before {
            content: '';
            position: absolute;
            inset: 0;
            background: url('../../images/template-parts/page-header/page-header-overlay.png') no-repeat left top / contain;
            pointer-events: none;
        }

        & h1.page-header__title {
            font-size: 2.7rem;
            font-weight: 800;
            color: var(--accent-light);
            text-align: center;
            text-transform: uppercase;
        }
    }
}